Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.servlet
Class JspCServletContext

    java.lang.Object
      org.apache.jasper.servlet.JspCServletContext

All Implemented Interfaces:
  ServletContext

    public class JspCServletContext

extends Object
implements ServletContext

Simple `ServletContext` implementation without HTTP-specific methods.

Author:
  Peter Rossbach (pr@webapp.de)

Field Summary
`protected Hashtable` | `myAttributes` Servlet context attributes.
`protected PrintWriter` | `myLogWriter` The log writer we will write log messages to.
`protected URL` | `myResourceBaseURL` The base URL (document root) for this context.

Constructor Summary
`JspCServletContext(PrintWriter aLogWriter, URL aResourceBaseURL)` Create a new instance of this ServletContext implementation.

Method Summary
`Object` | `getAttribute(String name)` Return the specified context attribute, if any.
`Enumeration` | `getAttributeNames()` Return an enumeration of context attribute names.
`ServletContext` | `getContext(String uripath)` Return the servlet context for the specified path.
`String` | `getContextPath()` Returns the context path of the web application.
`String` | `getInitParameter(String name)` Return the specified context initialization parameter.
`Enumeration` | `getInitParameterNames()` Return an enumeration of the names of context initialization parameters.
`int` | `getMajorVersion()` Return the Servlet API major version number.
`String` | `getMimeType(String file)` Return the MIME type for the specified filename.
`int` | `getMinorVersion()` Return the Servlet API minor version number.
`RequestDispatcher` | `getNamedDispatcher(String name)` Return a request dispatcher for the specified servlet name.
`String` | `getRealPath(String path)` Return the real path for the specified context-relative virtual path.
`RequestDispatcher` | `getRequestDispatcher(String path)` Return a request dispatcher for the specified context-relative path.
`URL` | `getResource(String path)` Return a URL object of a resource that is mapped to the specified context-relative path.
`InputStream` | `getResourceAsStream(String path)` Return an InputStream allowing access to the resource at the specified context-relative path.
`Set` | `getResourcePaths(String path)` Return the set of resource paths for the "directory" at the specified context path.
`String` | `getServerInfo()` Return descriptive information about this server.
`Servlet` | `getServlet(String name)` Deprecated. This method has been deprecated with no replacement
`String` | `getServletContextName()` Return the name of this servlet context.
`Enumeration` | `getServletNames()` Deprecated. This method has been deprecated with no replacement
`Enumeration` | `getServlets()` Deprecated. This method has been deprecated with no replacement
`void` | `log(Exception exception, String message)` Deprecated. Use log(String,Throwable) instead
`void` | `log(String message)` Log the specified message.
`void` | `log(String message, Throwable exception)` Log the specified message and exception.
`void` | `removeAttribute(String name)` Remove the specified context attribute.
`void` | `setAttribute(String name, Object value)` Set or replace the specified context attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myAttributes

    protected Hashtable myAttributes

  Servlet context attributes.

### myLogWriter

    protected PrintWriter myLogWriter

  The log writer we will write log messages to.

### myResourceBaseURL

    protected URL myResourceBaseURL

  The base URL (document root) for this context.

Constructor Detail

### JspCServletContext

    public JspCServletContext(PrintWriter aLogWriter,
                              URL aResourceBaseURL)

  Create a new instance of this ServletContext implementation.

  Parameters:
    `aLogWriter` - PrintWriter which is used for `log()` calls
    `aResourceBaseURL` - Resource base URL

Method Detail

### getAttribute

    public Object getAttribute(String name)

  Return the specified context attribute, if any.

  Specified by:
    `getAttribute` in interface `ServletContext`
  Parameters:
    `name` - Name of the requested attribute
  Returns:
    an `Object` containing the value of the attribute, or `null` if no attribute exists matching the given name
  See Also:
    `ServletContext.getAttributeNames()`

### getAttributeNames

    public Enumeration getAttributeNames()

  Return an enumeration of context attribute names.

  Specified by:
    `getAttributeNames` in interface `ServletContext`
  Returns:
    an `Enumeration` of attribute names
  See Also:
    `ServletContext.getAttribute(java.lang.String)`

### getContextPath

    public String getContextPath()

  Returns the context path of the web application.

  Specified by:
    `getContextPath` in interface `ServletContext`
  Returns:
    The context path of the web application, or "" for the default (root) context
  See Also:
    `HttpServletRequest.getContextPath()`

### getContext

    public ServletContext getContext(String uripath)

  Return the servlet context for the specified path.

  Specified by:
    `getContext` in interface `ServletContext`
  Parameters:
    `uripath` - Server-relative path starting with '/'
  Returns:
    the `ServletContext` object that corresponds to the named URL, or null if either none exists or the container wishes to restrict this access.
  See Also:
    `RequestDispatcher`

### getInitParameter

    public String getInitParameter(String name)

  Return the specified context initialization parameter.

  Specified by:
    `getInitParameter` in interface `ServletContext`
  Parameters:
    `name` - Name of the requested parameter
  Returns:
    a `String` containing at least the servlet container name and version number
  See Also:
    `ServletConfig.getInitParameter(java.lang.String)`

### getInitParameterNames

    public Enumeration getInitParameterNames()

  Return an enumeration of the names of context initialization parameters.

  Specified by:
    `getInitParameterNames` in interface `ServletContext`
  Returns:
    an `Enumeration` of `String` objects containing the names of the context's initialization parameters
  See Also:
    `ServletConfig.getInitParameter(java.lang.String)`

### getMajorVersion

    public int getMajorVersion()

  Return the Servlet API major version number.

  Specified by:
    `getMajorVersion` in interface `ServletContext`
  Returns:
    2

### getMimeType

    public String getMimeType(String file)

  Return the MIME type for the specified filename.

  Specified by:
    `getMimeType` in interface `ServletContext`
  Parameters:
    `file` - Filename whose MIME type is requested
  Returns:
    a `String` specifying the file's MIME type

### getMinorVersion

    public int getMinorVersion()

  Return the Servlet API minor version number.

  Specified by:
    `getMinorVersion` in interface `ServletContext`
  Returns:
    5

### getNamedDispatcher

    public RequestDispatcher getNamedDispatcher(String name)

  Return a request dispatcher for the specified servlet name.

  Specified by:
    `getNamedDispatcher` in interface `ServletContext`
  Parameters:
    `name` - Name of the requested servlet
  Returns:
    a `RequestDispatcher` object that acts as a wrapper for the named servlet, or `null` if the `ServletContext` cannot return a `RequestDispatcher`
  See Also:
    `RequestDispatcher`, `ServletContext.getContext(java.lang.String)`, `ServletConfig.getServletName()`

### getRealPath

    public String getRealPath(String path)

  Return the real path for the specified context-relative virtual path.

  Specified by:
    `getRealPath` in interface `ServletContext`
  Parameters:
    `path` - The context-relative virtual path to resolve
  Returns:
    a `String` specifying the real path, or null if the translation cannot be performed

### getRequestDispatcher

    public RequestDispatcher getRequestDispatcher(String path)

  Return a request dispatcher for the specified context-relative path.

  Specified by:
    `getRequestDispatcher` in interface `ServletContext`
  Parameters:
    `path` - Context-relative path for which to acquire a dispatcher
  Returns:
    a `RequestDispatcher` object that acts as a wrapper for the resource at the specified path, or `null` if the `ServletContext` cannot return a `RequestDispatcher`
  See Also:
    `RequestDispatcher`, `ServletContext.getContext(java.lang.String)`

### getResource

    public URL getResource(String path)
                    throws MalformedURLException

  Return a URL object of a resource that is mapped to the specified context-relative path.

  Specified by:
    `getResource` in interface `ServletContext`
  Parameters:
    `path` - Context-relative path of the desired resource
  Returns:
    the resource located at the named path, or `null` if there is no resource at that path
  Throws:
    `MalformedURLException` - if the resource path is not properly formed

### getResourceAsStream

    public InputStream getResourceAsStream(String path)

  Return an InputStream allowing access to the resource at the specified context-relative path.

  Specified by:
    `getResourceAsStream` in interface `ServletContext`
  Parameters:
    `path` - Context-relative path of the desired resource
  Returns:
    the `InputStream` returned to the servlet, or `null` if no resource exists at the specified path

### getResourcePaths

    public Set getResourcePaths(String path)

  Return the set of resource paths for the "directory" at the specified context path.

  Specified by:
    `getResourcePaths` in interface `ServletContext`
  Parameters:
    `path` - Context-relative base path
  Returns:
    a Set containing the directory listing, or null if there are no resources in the web application whose path begins with the supplied path.

### getServerInfo

    public String getServerInfo()

  Return descriptive information about this server.

  Specified by:
    `getServerInfo` in interface `ServletContext`
  Returns:
    a `String` containing at least the servlet container name and version number

### getServlet

    public Servlet getServlet(String name)
                       throws ServletException

  Deprecated. This method has been deprecated with no replacement

  Return a null reference for the specified servlet name.

  Specified by:
    `getServlet` in interface `ServletContext`
  Parameters:
    `name` - Name of the requested servlet
  Throws:
    `ServletException`

### getServletContextName

    public String getServletContextName()

  Return the name of this servlet context.

  Specified by:
    `getServletContextName` in interface `ServletContext`
  Returns:
    The name of the web application or null if no name has been declared in the deployment descriptor.

### getServletNames

    public Enumeration getServletNames()

  Deprecated. This method has been deprecated with no replacement

  Return an empty enumeration of servlet names.

  Specified by:
    `getServletNames` in interface `ServletContext`

### getServlets

    public Enumeration getServlets()

  Deprecated. This method has been deprecated with no replacement

  Return an empty enumeration of servlets.

  Specified by:
    `getServlets` in interface `ServletContext`

### log

    public void log(String message)

  Log the specified message.

  Specified by:
    `log` in interface `ServletContext`
  Parameters:
    `message` - The message to be logged

### log

    public void log(Exception exception,
                    String message)

  Deprecated. Use log(String,Throwable) instead

  Log the specified message and exception.

  Specified by:
    `log` in interface `ServletContext`
  Parameters:
    `exception` - The exception to be logged
    `message` - The message to be logged

### log

    public void log(String message,
                    Throwable exception)

  Log the specified message and exception.

  Specified by:
    `log` in interface `ServletContext`
  Parameters:
    `message` - The message to be logged
    `exception` - The exception to be logged

### removeAttribute

    public void removeAttribute(String name)

  Remove the specified context attribute.

  Specified by:
    `removeAttribute` in interface `ServletContext`
  Parameters:
    `name` - Name of the attribute to remove

### setAttribute

    public void setAttribute(String name,
                             Object value)

  Set or replace the specified context attribute.

  Specified by:
    `setAttribute` in interface `ServletContext`
  Parameters:
    `name` - Name of the context attribute to set
    `value` - Corresponding attribute value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.